package com.bonus.canteen.core.reportforms.mapper;

import com.bonus.canteen.core.menu.vo.AppletReserveCanteenVO;
import com.bonus.canteen.core.menu.vo.AppletWeekCanteenVO;
import com.bonus.canteen.core.reportforms.beans.CanteenOrg;
import com.bonus.canteen.core.reportforms.beans.CanteenRecord;
import com.bonus.canteen.core.reportforms.beans.OrgConsume;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.stream.DoubleStream;

@Mapper
public interface OrgConsumeMapper {

   List<Map<String, Object>> selectConsumeRecords(OrgConsume orgConsume);

   List<Map<String, Object>> selectReserveRecords(OrgConsume orgConsume);

   List<Map<String, String>> selectAreaOrgMap();

   List<OrgConsume> getlistByArealist(OrgConsume orgConsume);

   List<OrgConsume> getlistBySuperlist(OrgConsume orgConsume);

   List<OrgConsume> getlistByH5list(OrgConsume orgConsume);

   List<OrgConsume>  getlistByOtherlist(OrgConsume orgConsume);

   BigDecimal yzSumMoney(OrgConsume neworgConsume);

   List<OrgConsume>  getlistConsmerlist(OrgConsume orgConsume);

   List<CanteenRecord> getPeoplelist(CanteenRecord orgConsume);

   List<CanteenOrg> selectAllOrgs();

   List<OrgConsume>  getDeductionlist(OrgConsume orgConsume);
}
